// Code generated by github.com/99designs/gqlgen, DO NOT EDIT.

package model

type Host struct {
	Name        string           `json:"name"`
	Up          *bool            `json:"up"`
	LiveMetrics *HostLiveMetrics `json:"liveMetrics"`
}

type HostLiveMetrics struct {
	Load15 float64 `json:"load15"`
	Iowait float64 `json:"iowait"`
	CPU    float64 `json:"cpu"`
}

type HostLiveMetricsMap struct {
	Name        string           `json:"name"`
	LiveMetrics *HostLiveMetrics `json:"liveMetrics"`
}
